Subject: Re: rxvt no pseudo ttys (ptys)
From: [email-masked] (Tijs Michels)

31 Jan 1998 04:02:14 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Christoph Kukulies wrote:

> I'm running MI/X successfully under NT 4.0 with coolview.
> Only when I run rxvt (starting from a cmd box prompt)
> I'm getting 
> 
> can't open pseudo-tty
> aborting
> 
> Can someone fill me in?
> 
> Chris Christoph P. U. Kukulies [email-masked]

Hi,

Get ftp.math.fu-berlin.de/pub/rxvt/rxvt-2.4.5.tar.gz.
Thanks to Geoff Wing < [email-masked]> it has sound cygwin32 support.

Also be sure to apply his huge patch
ftp.math.fu-berlin.de/pub/rxvt/patches/rxvt-2.4.5-mason3.diff.gz. It
contains a host of important improvements in both the setuid/getuid
department and the tty department.

Next patch config.h with a patch like the one attached (and possibly
also /src/feature.h) and things should be fine. On my directory tree
the following script produces a stable executable.

#!/bin/sh
#
tar xfz rxvt_245.tgz
patch < /rxvt_245_diff/rxvt_245.diff
cd rxvt-2.4.5
bash configure --disable-utmp --disable-wtmp
  --enable-xpm-background --enable-menubar --disable-graphics
  --disable-xterm-scroll --disable-kanji --disable-big5
  --disable-greek --disable-ttygid --disable-dmalloc
  --disable-dlmalloc --with-term=rxvt --with-terminfo=/etc
  --with-xpm-includes=/usr/X11R6.3/include/X11
  --with-xpm-library=/usr/X11R6.3/lib
# xpm-includes points to /usr/X11R6.3/include/X11/xpm.h
# xpm-library  points to /usr/X11R6.3/lib/libXpm.a
patch config.h /rxvt_245_diff/config.h.diff
rm config.h.orig
cd src
patch feature.h /rxvt_245_diff/feature.h.diff
rm feature.h.orig
cd ..
make
cd src
install -c -s -m 755 rxvt.exe /usr/X11R6.3/bin/rxvt.exe

This presumes you've compiled xpm-3.4j earlier.
You may also have to append /rxvt-2.4.5/doc/etc/rxvt.termcap
and /rxvt-2.4.5/doc/etc/rxvt.terminfo to /etc/termcap and 
/etc/terminfo. Since you're on NT, you should be able to install rxvt
setuid root. I'm on Win95, so I'm out of luck here.

Hope this is of any help.

Good luck,

Tijs Michels
[email-masked]

-------patch against config.h by Tijs Michels----------

94c94
< #define HAVE_UTMP_HOST 1
---
> /* #define HAVE_UTMP_HOST 1 */
97c97
< #define RXVT_UTMP_FILE "/var/run/utmp"
---
> /* #define RXVT_UTMP_FILE "/var/run/utmp" */
100c100
< #define RXVT_WTMP_FILE "/var/log/wtmp"
---
> /* #define RXVT_WTMP_FILE "/var/log/wtmp" */
115c115
< #define HAVE_SETEUID 1
---
> /* #define HAVE_SETEUID 1 */

--------------------------------------------------------

I used to set XTerm.utmpInhibit: True in .Xdefaults. With the patch
above this is no longer necessary. With the configure option
--with-term=rxvt no XTerm.termname resource setting is called for. So
now the Rxvt part of my .Xdefaults looks like this:

*background:		LightGrey
!
! Rxvt
!
XTerm.cursorColor:	red
!  XTerm.font:		cour14r
XTerm.boldFont:		cour14b
XTerm.geometry:		+62-68
XTerm.loginShell:	False
XTerm.title:		rxvt
!  XTerm.saveLines:	32
XTerm.scrollBar_right:	True
!  XTerm.termname:	rxvt
!  XTerm.utmpInhibit:	True
XTerm.visualBell:	True
XTerm.menu:		/usr/X11R6.3/bin/rxvt.tijs.menu
XTerm.backgroundPixmap:	/usr/X11R6.3/bin/pyrenees.xpm

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".